/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM0.15-3
Display is Hardward I2C 2-Wire I2C Interface 
Tested and worked with:
Works with Arduino 1.6.0 IDE  
Test OK : Arduino DUE      
If you want to use the MEGA2560 board or UNO board ,   Need external expansion RAM 23K256.
  Which is convenient for the controller, for example, this routine has 23K256 as the external RAM control.
***********************************************************************************************************************/

/*
  == Hardware connection ==
    OLED   =>    Arduino
  *1. GND    ->    GND
  *2. VCC    ->    3.3
  *3. SCL    ->    SCL(DUE:21)
  *4. SDA    ->    SDA(DUE:20)
  *5. RES    ->    8 
  *6. DC     ->    GND 
  *7. CS     ->    GND 
*/
#include "OLED_Driver.h"
#include "OLED_GUI.h"
#include "DEV_Config.h"
#include "Show_Lib.h"
#include "Debug.h"
#include <SPI.h>
#include <Wire.h>

extern OLED_DIS sOLED_DIS;
void setup()
{
  System_Init();

  Serial.println("OLED Init ");
  OLED_SCAN_DIR OLED_ScanDir = SCAN_DIR_DFT;
  OLED_Init( OLED_ScanDir );

  Serial.println("OLED_Show ");
  GUI_Show();
  
   Serial.println("OLED Clear ");
  OLED_ClearScreen(OLED_BACKGROUND);//OLED_BACKGROUND
  OLED_ClearBuf();
  GUI_DisGrayMap(1,1,gImage_P);
  OLED_Display(0, 0, sOLED_DIS.OLED_Dis_Column, sOLED_DIS.OLED_Dis_Page);
  Driver_Delay_ms(3000);

  Serial.println("OLED Clear ");
  OLED_ClearScreen(OLED_BACKGROUND);//OLED_BACKGROUND
  OLED_ClearBuf(); 
  GUI_Disbitmap(1,1,gImage_P2 , 128, 128);
  OLED_Display(0, 0, sOLED_DIS.OLED_Dis_Column, sOLED_DIS.OLED_Dis_Page);
  Driver_Delay_ms(3000);

  Serial.println("OLED Clear ");
  OLED_ClearScreen(OLED_BACKGROUND);//OLED_BACKGROUND
  OLED_ClearBuf();

  Serial.print("Show Pic\r\n");
  GUI_Disbitmap(1  , 2, Signal816  , 16, 8);
  GUI_Disbitmap(24 , 2, Bluetooth88, 8 , 8);
  GUI_Disbitmap(40 , 2, Msg816     , 16, 8);
  GUI_Disbitmap(64 , 2, GPRS88     , 8 , 8);
  GUI_Disbitmap(90 , 2, Alarm88    , 8 , 8);
  GUI_Disbitmap(112, 2, Bat816     , 16, 8);

  Serial.print("Show 16 Gray Map\r\n");
  GUI_DisGrayMap(1,63,gImage_P1);

  GUI_DisString_EN(1 , 46, "www.buydisplay.com", &Font12, FONT_BACKGROUND, WHITE);

  OLED_Display(0, 0, sOLED_DIS.OLED_Dis_Column, sOLED_DIS.OLED_Dis_Page);
  

}

void loop()
{
  uint8_t sec = 0;
  DEV_TIME sDev_time;
  sDev_time.Hour = 12;
  sDev_time.Min = 34;
  sDev_time.Sec = 56;
  Serial.print("Show time\r\n");
  for (;;) {
    sec++;
    sDev_time.Sec = sec;
    if (sec == 60) {
      sDev_time.Min = sDev_time.Min + 1;
      sec = 0;
      if (sDev_time.Min == 60) {
        sDev_time.Hour =  sDev_time.Hour + 1;
        sDev_time.Min = 0;
        if (sDev_time.Hour == 24) {
          sDev_time.Hour = 0;
          sDev_time.Min = 0;
          sDev_time.Sec = 0;
        }
      }
    }
    GUI_Showtime(0, 22, 127, 47, &sDev_time, WHITE);
    Driver_Delay_ms(1000);//Analog clock 1s
  }
}

/*********************************************************************************************************
  END FILE
*********************************************************************************************************/

